$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on('change', '.godown', getrcstk);
    $("body").on("click", "#hedit", gfocus);


    function gfocus() {
        $('.godown').focus();
    }


    $('#hedit').click(function () {
        $("#ssubmit").hide();
        $("#scancel").hide();

    });

    function getrcstk() {
        var godown = $('.godown').val();

        if (godown != '') {
            $.post('get_opitem.php', {godown: godown}, function (data) {
            }).success(function (data) {
                $(".tbody").html(data);
                if (data.length > 0) {
                    $("#ssubmit").show();
                    $("#scancel").show();
                } else {
                    $("#ssubmit").hide();
                    $("#scancel").hide();
                }
            });

            var ctr = $("#items").val();
            $.post('get_opctritem.php', {godown: godown, ctr: ctr}, function (data1) {
                $("#items").val(data1);
            });
        }
    }





    $('#addnew').click(function () {
        AddRows();
    });

    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var focusFld = ".focusFld_" + ctr;
        $.post('openstk_item_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(focusFld).focus();
            $(".classify").select2();
            $(".supplier").select2();
        });
    }

    function remove() {
        $(this).closest("tr").remove();
    }

});